/********************************************/
/* Javascript zum Steuern der Zeitleisten   */
/* wird verwendet in: index.php             */
/********************************************/

//Hauptzeitleiste
//init
$( "#hauptzeitleiste" ).slider({
 min: 0,
 max: 30

});


//getter bei Absetzen
$( "#hauptzeitleiste" ).on( "slidestop", function( event, ui ) 
{
	hauptzeitleiste_wert = $("#hauptzeitleiste").slider( "value" ); //aktuelle Position zwischen 0 und max. 5min der Hauptzeitleiste
	
	var minute=parseInt(hauptzeitleiste_wert/60);
	var sekunde=parseInt(hauptzeitleiste_wert%60);
	if (minute<10)
		minute="0"+minute;
	if (sekunde<10)
		sekunde="0"+sekunde;
	
	$('#hauptzeitleiste #feedback span').text(minute+":"+sekunde);
	
});	
//getter bei Bewegung
$("#hauptzeitleiste" ).on( "slide", function( event, ui ) 
{
	kontextmenu_hide()
	hauptzeitleiste_wert = $("#hauptzeitleiste").slider( "value" ); 
	var minute=parseInt(hauptzeitleiste_wert/60);
	var sekunde=parseInt(hauptzeitleiste_wert%60);
	if (minute<10)
		minute="0"+minute;
	if (sekunde<10)
		sekunde="0"+sekunde;
	
	$('#hauptzeitleiste #feedback span').text(minute+":"+sekunde);
	buehnen_update(hauptzeitleiste_wert);	
	
});
$("#hauptzeitleiste" ).on( "slidechange", function( event, ui ) 
{
	hauptzeitleiste_wert = $("#hauptzeitleiste").slider( "value" ); 
	var minute=parseInt(hauptzeitleiste_wert/60);
	var sekunde=parseInt(hauptzeitleiste_wert%60);
	if (minute<10)
		minute="0"+minute;
	if (sekunde<10)
		sekunde="0"+sekunde;
	
	$('#hauptzeitleiste #feedback span').text(minute+":"+sekunde);
	buehnen_update(hauptzeitleiste_wert);	
	
});


$( "#elementzeitleiste" ).slider({
 range: true,
 min: 0,
 max: 30,
 values: [ 0, 30 ],
stop: function( event, ui ) {}
});

//getter
$( "#elementzeitleiste" ).on( "slidestop", function( event, ui ) 
{
	
	
	var minute=parseInt(ui.values[0]/60);
	var sekunde=parseInt(ui.values[0]%60);
	if (minute<10)
		minute="0"+minute;
	if (sekunde<10)
		sekunde="0"+sekunde;
	$("#elementzeitleiste").children().eq(1).children().text(minute+":"+sekunde);
	
	var minute=parseInt(ui.values[1]/60);
	var sekunde=parseInt(ui.values[1]%60);
	if (minute<10)
		minute="0"+minute;
	if (sekunde<10)
		sekunde="0"+sekunde;
	$("#elementzeitleiste").children().eq(2).children().text(minute+":"+sekunde);		
	
		
	$(feedback_objekt).remove();
	$("#elementzeitleiste #feedback").show();

	feedback_objekt="nix";
	if (aktives_hintergrund_objekt!="nix")
	{
		var values = $( "#elementzeitleiste" ).slider( "option", "values" );
		jQuery.data(aktives_hintergrund_objekt, "startzeit", values[0]);
		jQuery.data(aktives_hintergrund_objekt, "endzeit", values[1]);
		$( "#hauptzeitleiste" ).slider( "option", "value", values[0]);
		hauptzeitleiste_wert=values[0];
		buehnen_update(hauptzeitleiste_wert);
	}
	else if (aktives_musik_objekt!="nix")
	{
		var values = $( "#elementzeitleiste" ).slider( "option", "values" );
		jQuery.data(aktives_musik_objekt, "startzeit", values[0]);
		jQuery.data(aktives_musik_objekt, "endzeit", values[1]);
		$( "#hauptzeitleiste" ).slider( "option", "value", values[0]);
		hauptzeitleiste_wert=values[0];
		buehnen_update(hauptzeitleiste_wert);
	}
	else if (aktives_bewegungen_objekt!="nix")
	{
		var values = $("#elementzeitleiste" ).slider( "option", "values" );
		jQuery.data(aktives_bewegungen_objekt, "startzeit", values[0]);
		jQuery.data(aktives_bewegungen_objekt, "endzeit", values[1]);
		$("#hauptzeitleiste").slider( "option", "value", values[0]);
		hauptzeitleiste_wert=values[0];
		buehnen_update(hauptzeitleiste_wert);
	}
	else if (aktives_dialog_objekt!="nix")
	{
		var values = $("#elementzeitleiste" ).slider( "option", "values" );
		jQuery.data(aktives_dialog_objekt, "startzeit", values[0]);
		jQuery.data(aktives_dialog_objekt, "endzeit", values[1]);
		$("#hauptzeitleiste").slider( "option", "value", values[0]);
		hauptzeitleiste_wert=values[0];
		buehnen_update(hauptzeitleiste_wert);
	}
	else if (aktives_buehnen_objekt!="nix")
	{
		var values = $("#elementzeitleiste").slider( "option", "values" );
		jQuery.data(aktives_buehnen_objekt, "startzeit", values[0]);
		jQuery.data(aktives_buehnen_objekt, "endzeit", values[1]);
		$( "#hauptzeitleiste" ).slider( "option", "value", values[0]);
		hauptzeitleiste_wert=values[0];
		buehnen_update(hauptzeitleiste_wert);
		
		for (var i=0; i<bewegungen_objekte.length; i++)
		{
			
			if (jQuery.data(bewegungen_objekte[i], "buehnen_objekt")==$(aktives_buehnen_objekt).attr("id"))
			{
					
					if (jQuery.data(bewegungen_objekte[i], "startzeit")<values[0])
					var minstartzeit=values[0];
					else
					var minstartzeit=jQuery.data(bewegungen_objekte[i], "startzeit");
					
					if (jQuery.data(bewegungen_objekte[i], "endzeit")>values[1])
					var minendzeit=values[1];
					else
					var minendzeit=jQuery.data(bewegungen_objekte[i], "endzeit");
					
					if (minstartzeit>=minendzeit)
						minendzeit=values[1];
						
					if (minendzeit<=minstartzeit)
						minstartzeit=values[0];
				
					jQuery.data(bewegungen_objekte[i], "startzeit", minstartzeit);
					jQuery.data(bewegungen_objekte[i], "endzeit", minendzeit);	
									
			}
		}
		for (var i=0; i<dialog_objekte.length; i++)
		{
			if (jQuery.data(dialog_objekte[i], "buehnen_objekt")==$(aktives_buehnen_objekt).attr("id"))
				{
						
						if (jQuery.data(dialog_objekte[i], "startzeit")<values[0])
						var minstartzeit=values[0];
						else
						var minstartzeit=jQuery.data(dialog_objekte[i], "startzeit");
						
						if (jQuery.data(dialog_objekte[i], "endzeit")>values[1])
						var minendzeit=values[1];
						else
						var minendzeit=jQuery.data(dialog_objekte[i], "endzeit");
						
						if (minstartzeit>=minendzeit)
							minendzeit=values[1];
							
						if (minendzeit<=minstartzeit)
							minstartzeit=values[0];
					
						jQuery.data(dialog_objekte[i], "startzeit", minstartzeit);
						jQuery.data(dialog_objekte[i], "endzeit", minendzeit);	
										
				}
		}
	}



	
	
});	
$("#elementzeitleiste" ).on( "slide", function( event, ui ) 
{
	var minute=parseInt(ui.values[0]/60);
	var sekunde=parseInt(ui.values[0]%60);
	if (minute<10)
		minute="0"+minute;
	if (sekunde<10)
		sekunde="0"+sekunde;
	$("#elementzeitleiste").children().eq(1).children().text(minute+":"+sekunde);
	
	var minute=parseInt(ui.values[1]/60);
	var sekunde=parseInt(ui.values[1]%60);
	if (minute<10)
		minute="0"+minute;
	if (sekunde<10)
		sekunde="0"+sekunde;
	$("#elementzeitleiste").children().eq(2).children().text(minute+":"+sekunde);	
	//Überschneidungen verhindern
	if (aktives_buehnen_objekt!="nix")
	{
			var platz=jQuery.data(aktives_buehnen_objekt, "platz");
			var minendzeit=1000;
			for (var i=0;i<buehnen_objekte.length;++i)
			{
				if (aktives_buehnen_objekt!=buehnen_objekte[i])
				if (jQuery.data(buehnen_objekte[i], "platz")==platz)
				{
					if (minendzeit>jQuery.data(buehnen_objekte[i], "startzeit"))
					{
						if (jQuery.data(buehnen_objekte[i], "startzeit")>hauptzeitleiste_wert)
						{
							minendzeit=jQuery.data(buehnen_objekte[i], "startzeit");
							var hilfs_objekt=buehnen_objekte[i];
							
						}
					}
					
				}
					
			}
			
			var minstartzeit=-200;
			for (var i=0;i<buehnen_objekte.length;++i)
			{
				if (aktives_buehnen_objekt!=buehnen_objekte[i])
				if (jQuery.data(buehnen_objekte[i], "platz")==platz)
				{
					if (minstartzeit<jQuery.data(buehnen_objekte[i], "endzeit"))
					{
						if (jQuery.data(buehnen_objekte[i], "endzeit")<hauptzeitleiste_wert)
						{
							minstartzeit=jQuery.data(buehnen_objekte[i], "endzeit");
							var hilfs_objekt1=buehnen_objekte[i];
						}
					}
					
				}
			}
				
			//Slider stoppen	
			var current= new Array();
			current[0] = ui.values[0];
			current[1] = ui.values[1];	
			var flag=false;
			
			if (current[1]>minendzeit-1)	
			{	
				current[1]=minendzeit;
				if (feedback_objekt=="nix")
				{
					feedback_objekt=$(hilfs_objekt).clone().appendTo('#elementzeitleiste');
					$(feedback_objekt).css("display", "block");
					var left=parseInt($(feedback_objekt).prev().css('left').replace("px", ""))-20;
					left=left+"px";
					$(feedback_objekt).css("margin-left", left);
					$(feedback_objekt).css("width", "40px");
					$(feedback_objekt).css("height", "auto");
					$(feedback_objekt).children().css("width", "40px");
					$(feedback_objekt).children().css("height", "auto");
					$(feedback_objekt).css("opacity", "0.7");
					$(feedback_objekt).css("margin-top", "30px");
					if ($(feedback_objekt).children().height()>50)
					{
						$(feedback_objekt).css("width", "auto");
						$(feedback_objekt).css("height", "50px");
						$(feedback_objekt).children().css("width", "auto");
						$(feedback_objekt).children().css("height", "50px");
					}
					$("#elementzeitleiste #feedback").hide();

					
				}
				return false;
				
			}		
			if (current[0]<minstartzeit+1)
			{  
				current[0]=minstartzeit;
				if (feedback_objekt=="nix")
				{

					feedback_objekt=$(hilfs_objekt1).clone().appendTo('#elementzeitleiste');
					$(feedback_objekt).css("display", "block");
					var left=parseInt($(feedback_objekt).prev().prev().css('left').replace("px", ""))-20;
					left=left+"px";
					$(feedback_objekt).css("margin-left", left);
					$(feedback_objekt).css("width", "40px");
					$(feedback_objekt).css("height", "auto");
					$(feedback_objekt).children().css("width", "40px");
					$(feedback_objekt).children().css("height", "auto");
					$(feedback_objekt).css("opacity", "0.7");
					$(feedback_objekt).css("margin-top", "30px");
					if ($(feedback_objekt).children().height()>50)
					{
						$(feedback_objekt).css("width", "auto");
						$(feedback_objekt).css("height", "50px");
						$(feedback_objekt).children().css("width", "auto");
						$(feedback_objekt).children().css("height", "50px");
					}
					$("#elementzeitleiste #feedback").hide();

					
					
				}
				return false;
				
			}
			if (flag)
				return false;
				
			$(feedback_objekt).remove();
			$("#elementzeitleiste #feedback").show();

			feedback_objekt="nix";
	}
	if (aktives_hintergrund_objekt!="nix")
	{
			
			var minendzeit=1000;
			for (var i=0;i<hintergrund_objekte.length;++i)
			{
				if (aktives_hintergrund_objekt!=hintergrund_objekte[i])
				
					if (minendzeit>jQuery.data(hintergrund_objekte[i], "startzeit"))
					{
						if (jQuery.data(hintergrund_objekte[i], "startzeit")>hauptzeitleiste_wert)
						{
							minendzeit=jQuery.data(hintergrund_objekte[i], "startzeit");
							var hilfs_objekt=hintergrund_objekte[i];

							
						}
					}
			}
			
			var minstartzeit=-200;
			for (var i=0;i<hintergrund_objekte.length;++i)
			{
				if (aktives_hintergrund_objekt!=hintergrund_objekte[i])
					if (minstartzeit<jQuery.data(hintergrund_objekte[i], "endzeit"))
					{
						if (jQuery.data(hintergrund_objekte[i], "endzeit")<hauptzeitleiste_wert)
						{
							minstartzeit=jQuery.data(hintergrund_objekte[i], "endzeit");
							var hilfs_objekt1=hintergrund_objekte[i];
						}

					}
			}
				
			//Slider stoppen	
			var current= new Array();
			current[0] = ui.values[0];
			current[1] = ui.values[1];	
			var flag=false;
			
			if (current[1]>minendzeit-1)	
			{	
				current[1]=minendzeit;
				if (feedback_objekt=="nix")
				{
					feedback_objekt=$(hilfs_objekt).clone().appendTo('#elementzeitleiste');
					$(feedback_objekt).css("display", "block");
					var left=parseInt($(feedback_objekt).prev().css('left').replace("px", ""))-30;
					left=left+"px";
					$(feedback_objekt).css("margin-left", left);
					$(feedback_objekt).css("width", "60px");
					$(feedback_objekt).css("height", "auto");
					$(feedback_objekt).children().css("width", "60px");
					$(feedback_objekt).children().css("height", "auto");
					$(feedback_objekt).css("opacity", "0.7");
					$(feedback_objekt).css("margin-top", "30px");
					if ($(feedback_objekt).children().height()>50)
					{
						$(feedback_objekt).css("width", "auto");
						$(feedback_objekt).css("height", "50px");
						$(feedback_objekt).children().css("width", "auto");
						$(feedback_objekt).children().css("height", "50px");
					}
					$("#elementzeitleiste #feedback").hide();

					
					
				}
				
				return false;
				
			}		
			
			if (current[0]<minstartzeit+1)
			{  
				current[0]=minstartzeit;
				if (feedback_objekt=="nix")
				{

					feedback_objekt=$(hilfs_objekt1).clone().appendTo('#elementzeitleiste');
					$(feedback_objekt).css("display", "block");
					var left=parseInt($(feedback_objekt).prev().prev().css('left').replace("px", ""))-30;
					left=left+"px";
					$(feedback_objekt).css("margin-left", left);
					$(feedback_objekt).css("width", "60px");
					$(feedback_objekt).css("height", "auto");
					$(feedback_objekt).children().css("width", "60px");
					$(feedback_objekt).children().css("height", "auto");
					$(feedback_objekt).css("opacity", "0.7");
					$(feedback_objekt).css("margin-top", "30px");
					if ($(feedback_objekt).children().height()>50)
					{
						$(feedback_objekt).css("width", "auto");
						$(feedback_objekt).css("height", "50px");
						$(feedback_objekt).children().css("width", "auto");
						$(feedback_objekt).children().css("height", "50px");
					}
					$("#elementzeitleiste #feedback").hide();

					
				   	
				}
				return false;
				
			}
			if (flag)
				return false;
				
				
			$(feedback_objekt).remove();
			$("#elementzeitleiste #feedback").show();

			feedback_objekt="nix";

	}
	if (aktives_musik_objekt!="nix")
	{
			
			var minendzeit=1000;
			for (var i=0;i<musik_objekte.length;++i)
			{
				if (aktives_musik_objekt!=musik_objekte[i])
				
					if (minendzeit>jQuery.data(musik_objekte[i], "startzeit"))
					{
						if (jQuery.data(musik_objekte[i], "startzeit")>hauptzeitleiste_wert)
						{
							minendzeit=jQuery.data(musik_objekte[i], "startzeit");
						   var hilfs_objekt=musik_objekte[i];

							
						}
					}
			}
			
			var minstartzeit=-200;
			for (var i=0;i<musik_objekte.length;++i)
			{
				if (aktives_musik_objekt!=musik_objekte[i])
					if (minstartzeit<jQuery.data(musik_objekte[i], "endzeit"))
					{
						if (jQuery.data(musik_objekte[i], "endzeit")<hauptzeitleiste_wert)
						{
							minstartzeit=jQuery.data(musik_objekte[i], "endzeit");
							var hilfs_objekt1=musik_objekte[i];
						}
					}
			}
				
			//Slider stoppen	
			var current= new Array();
			current[0] = ui.values[0];
			current[1] = ui.values[1];	
			var flag=false;
			
			if (current[1]>minendzeit-1)	
			{	
				current[1]=minendzeit;
				if (feedback_objekt=="nix")
				{
					feedback_objekt=$(hilfs_objekt).clone().appendTo('#elementzeitleiste');
					$(feedback_objekt).css("display", "block");
					var left=parseInt($(feedback_objekt).prev().css('left').replace("px", ""))-20;
					left=left+"px";
					$(feedback_objekt).css("margin-left", left);
					$(feedback_objekt).css("width", "40px");
					$(feedback_objekt).css("height", "auto");
					$(feedback_objekt).children().css("width", "40px");
					$(feedback_objekt).children().css("height", "auto");
					$(feedback_objekt).css("opacity", "0.7");
					$(feedback_objekt).css("margin-top", "30px");
					if ($(feedback_objekt).children().height()>50)
					{
						$(feedback_objekt).css("width", "auto");
						$(feedback_objekt).css("height", "50px");
						$(feedback_objekt).children().css("width", "auto");
						$(feedback_objekt).children().css("height", "50px");
					}
					$("#elementzeitleiste #feedback").hide();

					
				   	
				}
				
				return false;
				
			}		
			
			if (current[0]<minstartzeit+1)
			{  
				current[0]=minstartzeit;
				if (feedback_objekt=="nix")
				{

					feedback_objekt=$(hilfs_objekt1).clone().appendTo('#elementzeitleiste');
					$(feedback_objekt).css("display", "block");
					var left=parseInt($(feedback_objekt).prev().prev().css('left').replace("px", ""))-20;
					left=left+"px";
					$(feedback_objekt).css("margin-left", left);
					$(feedback_objekt).css("width", "40px");
					$(feedback_objekt).css("height", "auto");
					$(feedback_objekt).children().css("width", "40px");
					$(feedback_objekt).children().css("height", "auto");
					$(feedback_objekt).css("opacity", "0.7");
					$(feedback_objekt).css("margin-top", "30px");
					if ($(feedback_objekt).children().height()>50)
					{
						$(feedback_objekt).css("width", "auto");
						$(feedback_objekt).css("height", "50px");
						$(feedback_objekt).children().css("width", "auto");
						$(feedback_objekt).children().css("height", "50px");
					}
					$("#elementzeitleiste #feedback").hide();
					
				}
				return false;
				
			}
			if (flag)
				return false;
				
			$(feedback_objekt).remove();
			$("#elementzeitleiste #feedback").show();

			feedback_objekt="nix";
	}
	if (aktives_bewegungen_objekt!="nix")
	{
			var minstartzeit=jQuery.data(buehnen_objekte[jQuery.data(aktives_bewegungen_objekt, "buehnen_objekt").replace("buehnen_objekt","")], "startzeit");
			var minendzeit=jQuery.data(buehnen_objekte[jQuery.data(aktives_bewegungen_objekt, "buehnen_objekt").replace("buehnen_objekt","")], "endzeit");
			//Slider stoppen	
			var current= new Array();
			current[0] = ui.values[0];
			current[1] = ui.values[1];	
			var flag=false;
			
			if (current[1]>minendzeit)	
			{	
				current[1]=minendzeit;
				return false;
				
			}		
			
			if (current[0]<minstartzeit)
			{  
				current[0]=minstartzeit;
				return false;
				
			}
			if (flag)
				return false;
	}
	if (aktives_dialog_objekt!="nix")
	{
			var minstartzeit=jQuery.data(buehnen_objekte[jQuery.data(aktives_dialog_objekt, "buehnen_objekt").replace("buehnen_objekt","")], "startzeit");
			var minendzeit=jQuery.data(buehnen_objekte[jQuery.data(aktives_dialog_objekt, "buehnen_objekt").replace("buehnen_objekt","")], "endzeit");
			//Slider stoppen	
			var current= new Array();
			current[0] = ui.values[0];
			current[1] = ui.values[1];	
			var flag=false;
			
			if (current[1]>minendzeit)	
			{	
				current[1]=minendzeit;
				return false;
				
			}		
			
			if (current[0]<minstartzeit)
			{  
				current[0]=minstartzeit;
				return false;
				
			}
			if (flag)
				return false;
	}

});


$('.minus').click //Einblenden der Hintergründe
(
	function ()
	{
		if (dauer!=30)
		{
			dauer=dauer-05;
			$("#elementzeitleiste").slider( "option", "max", dauer );
			$("#hauptzeitleiste").slider( "option", "max", dauer );

			var minute=parseInt(dauer/60);
			var sekunde=parseInt(dauer%60);
			if (minute<10)
				minute="0"+minute;
			if (sekunde<10)
				sekunde="0"+sekunde;
			var help=$('#zeitbox span').text(minute+":"+sekunde);
			
			if (aktives_buehnen_objekt!="nix")
			{
				
				var aktives_objekt=aktives_buehnen_objekt;
			}
			if (aktives_hintergrund_objekt!="nix")
			{
				
				var aktives_objekt=aktives_hintergrund_objekt;
			}
			if (aktives_musik_objekt!="nix")
			{
				
				var aktives_objekt=aktives_musik_objekt;
			}
			if (aktives_bewegungen_objekt!="nix")
			{
				
				var aktives_objekt=aktives_bewegungen_objekt;
			}
			if (aktives_dialog_objekt!="nix")
			{
				
				var aktives_objekt=aktives_dialog_objekt;
			}
			
			if (parseInt(jQuery.data(aktives_objekt, "endzeit"))>dauer)
			{
				console.log("hall");
				var minute=parseInt((jQuery.data(aktives_objekt, "endzeit")-5)/60);
				var sekunde=parseInt((jQuery.data(aktives_objekt, "endzeit")-5)%60);
				if (minute<10)
					minute="0"+minute;
				if (sekunde<10)
					sekunde="0"+sekunde;
				$("#elementzeitleiste").children().eq(2).children().text(minute+":"+sekunde);
			}
			
			for (var i=0; i<buehnen_objekte.length;++i)
			{ 
				if (parseInt(jQuery.data(buehnen_objekte[i], "endzeit"))>dauer)
				{
					var endzeithelp=parseInt(jQuery.data(buehnen_objekte[i], "endzeit"))-5;
					jQuery.data(buehnen_objekte[i], "endzeit", endzeithelp)
				}
			}
			for (var i=0; i<dialog_objekte.length;++i)
			{
				if (parseInt(jQuery.data(dialog_objekte[i], "endzeit"))>dauer)
				{ 
					var endzeithelp=parseInt(jQuery.data(dialog_objekte[i], "endzeit"))-5;
					jQuery.data(dialog_objekte[i], "endzeit", endzeithelp)
				}

			}
			for (var i=0; i<bewegungen_objekte.length;++i)
			{ 
				if (parseInt(jQuery.data(bewegungen_objekte[i], "endzeit"))>dauer)
				{
					var endzeithelp=parseInt(jQuery.data(bewegungen_objekte[i], "endzeit"))-5;
					jQuery.data(bewegungen_objekte[i], "endzeit", endzeithelp)
				}

			}
			
			for (var i=0; i<hintergrund_objekte.length;++i)
			{
				if (parseInt(jQuery.data(hintergrund_objekte[i], "endzeit"))>dauer)
				{ 
					var endzeithelp=parseInt(jQuery.data(hintergrund_objekte[i], "endzeit"))-5;
					jQuery.data(hintergrund_objekte[i], "endzeit", endzeithelp)
				}

			}
			for (var i=0; i<musik_objekte.length;++i)
			{ 
				if (parseInt(jQuery.data(musik_objekte[i], "endzeit"))>dauer)
				{
					var endzeithelp=parseInt(jQuery.data(musik_objekte[i], "endzeit"))-5;
					jQuery.data(musik_objekte[i], "endzeit", endzeithelp)
				}

			}
			
			buehnen_update(hauptzeitleiste_wert);
			
			
		}
	}
);
$('.plus').click //Einblenden der Hintergründe
(
	function ()
	{
		if (dauer!=60*5)
		{
			dauer=dauer+05;
			$("#elementzeitleiste").slider( "option", "max", dauer );
			$("#hauptzeitleiste").slider( "option", "max", dauer );

			var minute=parseInt(dauer/60);
			var sekunde=parseInt(dauer%60);
			if (minute<10)
				minute="0"+minute;
			if (sekunde<10)
				sekunde="0"+sekunde;
			var help=$('#zeitbox span').text(minute+":"+sekunde);
		}
	}
);

$('<div id="feedback"><span>00:00</span></div>').appendTo('#hauptzeitleiste span');  
$('<div id="feedback"><span>00:00</span></div>').appendTo('#elementzeitleiste span');  

var minute=parseInt(dauer/60);
var sekunde=parseInt(dauer%60);
if (minute<10)
	minute="0"+minute;
if (sekunde<10)
	sekunde="0"+sekunde;
$("#elementzeitleiste").children().eq(2).children().text(minute+":"+sekunde);

var minute=parseInt(hauptzeitleiste_wert/60);
var sekunde=parseInt(hauptzeitleiste_wert%60);
if (minute<10)
	minute="0"+minute;
if (sekunde<10)
	sekunde="0"+sekunde;
$("#elementzeitleiste").children().eq(1).children().text(minute+":"+sekunde);







